Package org.eclipse.microprofile.openapi.apps.airlines.model

## Class Review

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.model.Review

    public class Review
    extends Object

### Constructor Summary

Constructors
`Review​(String id, User user, Airline airlines, int rating, String comment)` Creates an instance of the Review object with the given fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`Airline` `getAirlines()` Returns the Airlines of this Review
`String` `getComment()` Returns the comments of this Review
`String` `getId()` Returns the id of this Review
`int` `getRating()` Returns the rating of this Review
`User` `getUser()` Returns the user of this Review
`void` `setAirlinesID​(Airline airlines)` Sets the airlines for this Review
`void` `setComment​(String comment)` Sets the comments for this Review
`void` `setId​(String id)` Sets the id for this Review
`void` `setRating​(int rating)` Sets the rating for this Review
`void` `setUser​(User user)` Sets the user for this Review
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Review

    public Review​(String id,
                  User user,
                  Airline airlines,
                  int rating,
                  String comment)

Creates an instance of the Review object with the given fields.

Parameters:
  `id` - the unique id of this Review
  `user` - the user associated with this Review
  `airlines` - the Airline associated with this Review
  `rating` - the rating for this Review
  `comment` - the comments for this Review

### Method Detail

#### getId

    public String getId()

Returns the id of this Review

Returns:
  id

#### setId

    public void setId​(String id)

Sets the id for this Review

Parameters:
  `id` - the unique id of this Review

#### getUser

    public User getUser()

Returns the user of this Review

Returns:
  user

#### setUser

    public void setUser​(User user)

Sets the user for this Review

Parameters:
  `user` - the user associated with this Review

#### getAirlines

    public Airline getAirlines()

Returns the Airlines of this Review

Returns:
  airlines

#### setAirlinesID

    public void setAirlinesID​(Airline airlines)

Sets the airlines for this Review

Parameters:
  `airlines` - the Airline associated with this Review

#### getRating

    public int getRating()

Returns the rating of this Review

Returns:
  rating

#### setRating

    public void setRating​(int rating)

Sets the rating for this Review

Parameters:
  `rating` - the rating for this Review

#### getComment

    public String getComment()

Returns the comments of this Review

Returns:
  comment

#### setComment

    public void setComment​(String comment)

Sets the comments for this Review

Parameters:
  `comment` - the comments for this Review

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`